import '../lib/teamspeak_usertrack.dart';
import 'package:teamspeak/teamspeak.dart';
import "dart:async";

// User login data - needs to be filled in in order to use the test
final String teamspeak_host = "###";
final int teamspeak_serverquery_port = 10011;
final String client_username = "###";
final String client_password = "###";

void main(){
    final server = new Server(teamspeak_host,
        username: client_username,
        password: client_password, 
        enableThrottling: false,
        autoUpdate: new Duration(seconds: 1));

    server
        .connect()
        .then((Server serv){
          final UserTracker tracker = new UserTracker(serv);
          tracker.stream.listen((UserEvent e){
            print("Event: ${e}");
          });
        });
}